<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="de" xml:lang="de">
<head>
<!-- 2023-10-26 Do 08:58 -->
<meta  http-equiv="Content-Type" content="text/html;charset=utf-8" />
<meta  name="viewport" content="width=device-width, initial-scale=1" />
<title>Grundlagen der Informatik und Programmierung (&bdquo;Info1&ldquo;)</title>
<meta  name="generator" content="Org-mode" />
<style type="text/css">
 <!--/*--><![CDATA[/*><!--*/
  .title  { text-align: center;
             margin-bottom: .2em; }
  .subtitle { text-align: center;
              font-size: medium;
              font-weight: bold;
              margin-top:0; }
  .todo   { font-family: monospace; color: red; }
  .done   { font-family: monospace; color: green; }
  .priority { font-family: monospace; color: orange; }
  .tag    { background-color: #eee; font-family: monospace;
            padding: 2px; font-size: 80%; font-weight: normal; }
  .timestamp { color: #bebebe; }
  .timestamp-kwd { color: #5f9ea0; }
  .org-right  { margin-left: auto; margin-right: 0px;  text-align: right; }
  .org-left   { margin-left: 0px;  margin-right: auto; text-align: left; }
  .org-center { margin-left: auto; margin-right: auto; text-align: center; }
  .underline { text-decoration: underline; }
  #postamble p, #preamble p { font-size: 90%; margin: .2em; }
  p.verse { margin-left: 3%; }
  pre {
    border: 1px solid #ccc;
    box-shadow: 3px 3px 3px #eee;
    padding: 8pt;
    font-family: monospace;
    overflow: auto;
    margin: 1.2em;
  }
  pre.src {
    position: relative;
    overflow: visible;
    padding-top: 1.2em;
  }
  pre.src:before {
    display: none;
    position: absolute;
    background-color: white;
    top: -10px;
    right: 10px;
    padding: 3px;
    border: 1px solid black;
  }
  pre.src:hover:before { display: inline;}
  pre.src-sh:before    { content: 'sh'; }
  pre.src-bash:before  { content: 'sh'; }
  pre.src-emacs-lisp:before { content: 'Emacs Lisp'; }
  pre.src-R:before     { content: 'R'; }
  pre.src-perl:before  { content: 'Perl'; }
  pre.src-java:before  { content: 'Java'; }
  pre.src-sql:before   { content: 'SQL'; }

  table { border-collapse:collapse; }
  caption.t-above { caption-side: top; }
  caption.t-bottom { caption-side: bottom; }
  td, th { vertical-align:top;  }
  th.org-right  { text-align: center;  }
  th.org-left   { text-align: center;   }
  th.org-center { text-align: center; }
  td.org-right  { text-align: right;  }
  td.org-left   { text-align: left;   }
  td.org-center { text-align: center; }
  dt { font-weight: bold; }
  .footpara { display: inline; }
  .footdef  { margin-bottom: 1em; }
  .figure { padding: 1em; }
  .figure p { text-align: center; }
  .inlinetask {
    padding: 10px;
    border: 2px solid gray;
    margin: 10px;
    background: #ffffcc;
  }
  #org-div-home-and-up
   { text-align: right; font-size: 70%; white-space: nowrap; }
  textarea { overflow-x: auto; }
  .linenr { font-size: smaller }
  .code-highlighted { background-color: #ffff00; }
  .org-info-js_info-navigation { border-style: none; }
  #org-info-js_console-label
    { font-size: 10px; font-weight: bold; white-space: nowrap; }
  .org-info-js_search-highlight
    { background-color: #ffff00; color: #000000; font-weight: bold; }
  /*]]>*/-->
</style>
<link rel="stylesheet" type="text/css" href="https://fniessen.github.io/org-html-themes/src/bigblow_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://fniessen.github.io/org-html-themes/src/bigblow_theme/css/bigblow.css"/>
<link rel="stylesheet" type="text/css" href="https://fniessen.github.io/org-html-themes/src/bigblow_theme/css/hideshow.css"/>
<script type="text/javascript" src="https://fniessen.github.io/org-html-themes/src/bigblow_theme/js/jquery-1.11.0.min.js"></script>
<script type="text/javascript" src="https://fniessen.github.io/org-html-themes/src/bigblow_theme/js/jquery-ui-1.10.2.min.js"></script>
<script type="text/javascript" src="https://fniessen.github.io/org-html-themes/src/bigblow_theme/js/jquery.localscroll-min.js"></script>
<script type="text/javascript" src="https://fniessen.github.io/org-html-themes/src/bigblow_theme/js/jquery.scrollTo-1.4.3.1-min.js"></script>
<script type="text/javascript" src="https://fniessen.github.io/org-html-themes/src/bigblow_theme/js/jquery.zclip.min.js"></script>
<script type="text/javascript" src="https://fniessen.github.io/org-html-themes/src/bigblow_theme/js/bigblow.js"></script>
<script type="text/javascript" src="https://fniessen.github.io/org-html-themes/src/bigblow_theme/js/hideshow.js"></script>
<script type="text/javascript" src="https://fniessen.github.io/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script> var HS_STARTUP_FOLDED = true; </script>
<style> #content{max-width:1000px;}</style>
<script type="text/javascript">
/*
@licstart  The following is the entire license notice for the
JavaScript code in this tag.

Copyright (C) 2012-2013 Free Software Foundation, Inc.

The JavaScript code in this tag is free software: you can
redistribute it and/or modify it under the terms of the GNU
General Public License (GNU GPL) as published by the Free Software
Foundation, either version 3 of the License, or (at your option)
any later version.  The code is distributed WITHOUT ANY WARRANTY;
without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU GPL for more details.

As additional permission under GNU GPL version 3 section 7, you
may distribute non-source (e.g., minimized or compacted) forms of
that code without the copy of the GNU GPL normally required by
section 4, provided you include this license notice and a URL
through which recipients can access the Corresponding Source.


@licend  The above is the entire license notice
for the JavaScript code in this tag.
*/
<!--/*--><![CDATA[/*><!--*/
 function CodeHighlightOn(elem, id)
 {
   var target = document.getElementById(id);
   if(null != target) {
     elem.cacheClassElem = elem.className;
     elem.cacheClassTarget = target.className;
     target.className = "code-highlighted";
     elem.className   = "code-highlighted";
   }
 }
 function CodeHighlightOff(elem, id)
 {
   var target = document.getElementById(id);
   if(elem.cacheClassElem)
     elem.className = elem.cacheClassElem;
   if(elem.cacheClassTarget)
     target.className = elem.cacheClassTarget;
 }
/*]]>*///-->
</script>
</head>
<body>
<div id="content">
<h1 class="title">Grundlagen der Informatik und Programmierung (&bdquo;Info1&ldquo;)
<br>
<span class="subtitle">(WS 2023/24 - Prof. Dr. Carsten Damm) <br  />
<span style="color: red"> Flexnow-Anmeldefrist zu B.Inf.1101.Ue: 1. November 2023!</span></span>
</h1>
<div id="outline-container-orgheadline3" class="outline-2">
<h2 id="orgheadline3">Inhalt und Aufbau</h2>
<div class="outline-text-2" id="text-orgheadline3">
<blockquote>
<p>
Dies ist eine Einführung in Konzepte und Formalismen der Informatik,
die wir anhand der Programmierung (mit Java) studieren. 
Inhaltliche Voraussetzung dazu ist solide Abitur-Mathematik, aber
Programmierkenntnisse werden nicht vorausgesetzt. Sie werden
stattdessen im Kursverlauf systematisch anhand von Beispielen
eingeführt, die eine Auswahl unterschiedlicher Aspekte der Informatik
illustrieren.
</p>
</blockquote>
<p>
 </font>
</p>

<dl class="org-dl">
<dt>Vorlesung (Di+Fr 14:15-15:45 in <a href="https://www.geodata.uni-goettingen.de/Lageplan/?ident=2409_1_EG_0.104">MN08</a>)</dt><dd>Skript/Folien: siehe <a href="https://studip.uni-goettingen.de/dispatch.php/course/details?sem_id=b6d885bee9ac89f268fc36f6cf18a94f&amp;again=yes">Stud.IP</a></dd>

<dt>Praktikum bzw. &bdquo;Saalübung&ldquo; (Di 16:00-17:30 in <a href="https://www.geodata.uni-goettingen.de/Lageplan/?ident=2409_1_EG_0.104">MN08</a>)</dt><dd><ul class="org-ul">
<li>in den ersten beiden Wochen: Fragen klären sowie Einführungen in Computer- und Java-Basics</li>
<li>später: Fragen klären und gemeinsam Probleme lösen (nicht verpflichtend, aber eventuell hilfreich)</li>
</ul></dd>
</dl>

<hr  />

<dl class="org-dl">
<dt>Klausur</dt><dd><ul class="org-ul">
<li>die Klausur wird als E-Klausur mit Hilfe von ILIAS durchgeführt
(ILIAS?: siehe unten)</li>
<li>Termin siehe <a href="#orgheadline1">hier</a></li>
<li>Flexnow-Anmeldung zur Klausur ab Mitte Dezember</li>
</ul></dd>
</dl>

<hr  />

<p>
Für die Klausur benötigt man die <font
color="red"><a href="#orgtarget1">Klausurzulassung</a><font color="black"> 
(s.u.). Dazu muss man die wöchentlichen theoretischen und praktischen
Übungsaufgaben selbständig bearbeiten - aber es gibt Hilfestellungen:
</p>

<dl class="org-dl">
<dt>Rechnerübung</dt><dd>wochentäglich 8-10 und 18-20 Uhr im Institut für Informatik
(PC Pools im
<a href="https://www.geodata.uni-goettingen.de/Lageplan/?piz=2412&amp;etage=1.UG">Untergeschoss</a>): 
innerhalb dieser Zeiten technische Hilfe durch erfahrene
Studierende möglich, unabhängig von der eigenen Übungsgruppe</dd>

<dt>Gruppenübungen</dt><dd>wochentäglich (verschiedene Zeiten/Räume):
Vorstellen der Aufgaben, später (nach Abgabe) Besprechen der
Lösungen, Klären von Fragen usw.</dd>
</dl>

<hr  />

<p>
<b>Ablauf in den ersten Wochen</b> 
</p>


<div class="figure">
<p><img src="./img/ablaufI1WiSe2324NEU.png" alt="ablaufI1WiSe2324NEU.png" align="left" width="900" />
</p>
</div>

<p>
<b>ERLÄUTERUNGEN</b>
</p>
<ul class="org-ul">
<li><p>
<b>Flexnow-Anmeldung B.Inf.1101.Ue</b>  
</p>

<p>
<font color="red">
Wer die Zulassung noch nicht hat, MUSS sich anmelden! 
</font>
</p>
<div class="warning">
<div class="org-center">
<p>
<font size="4">Fristende: 1. November 2023</font>
</p>
</div>

</div>
<p>
<font color="red">
Das ist bereits in der zweiten Vorlesungswoche! Also: Falls noch nicht geschehen: Melden Sie sich am besten JETZT an!
</font>
</p>

<p>
Sollten Sie die Zulassung nicht erreichen, geht kein Versuch
verloren, sondern Sie können sich in einem späteren Semester erneut
anmelden, wenn B.Inf.1101.Ue wieder angeboten wird.
</p></li>

<li><p>
<b>Übungsgruppeneinteilung nach Anmeldeende B.Inf.1101.Ue, aber noch in Woche 2</b> 
</p>

<p>
Nur wer bei Flexnow zu B.Inf.1101.Ue angemeldet ist, kann Hinweise zum
Übungbetrieb (Gruppeneinteilung, Terminbuchungen für Testate usw.)
per E-Mail bekommen. 
</p></li>

<li><p>
<b>geplanter Beginn für Rechnerübung, Gruppenübungen, Testate</b>
</p>
<ul class="org-ul">
<li>Rechnerübungen: noch in Woche 1 (für technische Hilfestellungen,
auch zur Bearbeitung von Blatt 1)</li>

<li>Testate: ab Blatt 2 nur mit Terminbuchung</li>
<li>Gruppenübung: ab Woche 3</li>
</ul>
<p>
genauer Beginn kann sich noch geringfügig verschieben (achten Sie
auf Ankündigungen) </br>     
</p>

<p>
Was sind Testate? Siehe nachfolgend.
</p></li>
</ul>

<hr  />

<p>
<b>Klausurzulassung ("Prüfungsvorleistung<a id="orgtarget1"></a>")</b>
</p>


<p>
Früher erworbene Klausurzulassungen gelten weiterhin. </br>
<span class="underline">Das Nachfolgende daher nur für diejenigen, die noch keine Zulassung
haben</span>:</br>
</p>

<p>
<font color="red">Voraussetzung für alles weitere: Sie MÜSSEN
bei Flexnow für B.Inf.1101.Ue angemeldet sein (siehe oben).  </font></br>
</p>

<p>
Insgesamt gibt es 11 Übungsblätter mit je 100 Punkten, für die
Zulassung braucht man 50%, also 550 Punkte. Wie kann man die
bekommen? Durch die Punkte, die man beim Lösen theoretischer und
praktischer Aufgaben erreicht. 
</p>

<ul class="org-ul">
<li>Die Lösungen zu praktischen Aufgaben werden &bdquo;testiert&ldquo;, d.h. man
muss z.B. eigene Programme vorführen und Fragen dazu beantworten und
bekommt entsprechend Punkte. Ab Blatt 2 sind für <b>Testate</b> jeweils
individuelle Termine zu buchen (wie das geht wird rechtzeitig per
E-Mail mitgeteilt).</li>
<li><p>
Ein Teil der Lösungen zu theoretischen Aufgaben werden durch
erfahrene Studierende korrigiert und bewertet, ein anderer Teil -
die <b>ILIAS-Aufgaben</b> - wird automatisch korrigiert. ILIAS-Aufgaben
werden auf den Übungszetteln nur angekündigt, die Aufgaben selbst
sind dann (evtl. leicht verzögert) im Stud.IP verlinkt.
</p>

<p>
[Die E-Klausur wird auch mit ILIAS durchgeführt, deswegen ist es
wichtig, sich damit vertraut zu machen. Die wöchentlichen
ILIAS-Aufgaben (multiple choice u.ä.) sind aber eher
Klausur-untypisch - dafür gibt es ja die Probeklausur, auch mit
ILIAS]
</p></li>
</ul>

<p>
Wie erfährt man, ob man die nötige Punktzahl für die Zulassung bereits
erreicht hat? 
</p>
<ol class="org-ol">
<li>Die Punkte für die einzelnen Aufgaben erfährt man sofort nach 
Testat bzw. Rückgabe der Korrekturen.</li>
<li>Bei der
Übungsgruppeneinteilung werden Sie auch in eine entsprechende
Stud.IP-Veranstaltung zu Ihrer Gruppe eingetragen. Dort finden Sie
im &bdquo;Gradebook&ldquo; dann auch Ihre eigenen Punktzahlen, mit ca. einer
Woche Verzögerung.</li>
</ol>
<p>
<span class="underline">Etwaige Unstimmigkeiten zwischen 1. und 2. klären sie bitte innerhalb
weniger Tage mit Tutor/Tutorin</span> - danach kann es zu spät sein!  Bitte
nur in komplizierten Fällen an die <span class="underline">Übungsorganisation</span> wenden
(siehe <a href="#orgheadline2">noch Fragen?</a> unter &bdquo;Speziellere Info1-Angelegenheiten&ldquo;).
</p>
</div>
</div>

<div id="outline-container-orgheadline1" class="outline-2">
<h2 id="orgheadline1">Klausur</h2>
<div class="outline-text-2" id="text-orgheadline1">
<dl class="org-dl">
<dt>Probeklausur</dt><dd>Dienstag, 30. Januar anstelle der Vorlesung</dd>
<dt>Klausur</dt><dd><p>
wahlweise 20. Februar (14-16/16-18) oder ein Termin im folgenden Sommersemester (voraussichtlich Ende Juli oder Anfang August) <br>
</p>

<p>
Neben der <a href="#orgtarget1">Klausurzulassung</a> ist
die <a href="https://www.uni-goettingen.de/de/45574.html">Flexnow-Anmeldung</a>
für das Modul B.Inf.1101.Mp erforderlich. Anmeldebeginn ist
Mitte Dezember für die Februar-Klausur (für die
Sommersemester-Klausur entsprechend vor dieser):
</p>
<ul class="org-ul">
<li>Anmeldefrist endet eine Woche vor der Klausur,</li>
<li>Abmeldefrist endet einen Tag vor der Klausur.</li>
</ul></dd>

<dt>Ablauf</dt><dd><p>
        Die Klausur wird als <i>E-Klausur</i>, d.h. innerhalb des
E-Learningssystems ILIAS durchgeführt, das Sie während des
Semesters schon kennenlernen. Programmier-Aufgaben werden
durch menschliche Experten bewertet, geschlossene Aufgaben
(z.B. Multiple Choice) dagegen automatisch.
</p>

<p>
Die Klausur beinhaltet eine Auswahl von Aufgaben aus dem
gesamten Vorlesungsstoff. Das Vorlesungsskript wird bei der
Klausur als PDF zur Verfügung stehen. 
</p>

<p>
Zur eigenen Vorbereitung werden <a href="https://user.informatik.uni-goettingen.de/~damm/info1/sammlung">Beispielaufgaben</a> (z.T. aus
alten Klausuren) bereitgestellt. Es wird auch eine
Probeklausur durchgeführt. Sie wird zwar nicht bewertet, aber
deren Lösungen in der letzten Vorlesung besprochen.
</p></dd>
</dl>
</div>
</div>




<div id="outline-container-orgheadline2" class="outline-2">
<h2 id="orgheadline2">noch Fragen?</h2>
<div class="outline-text-2" id="text-orgheadline2">
<dl class="org-dl">
<dt>Lehrpersonen</dt><dd><ul class="org-ul">
<li>Vorlesung/Praktikum (Saalübung): Prof. Dr. Carsten Damm</li>
<li>Übungen/Praktikum (Saalübung): Dr. Henrik Brosenne, MSc Paul Sarnighausen-Cahn</li>
<li>Studierende höherer Semester betreuen Gruppen- und Rechnerübungen</li>
</ul></dd>

<dt>Allgemeine Tipps, Hilfestellungen, Erklärungen (zum Fach, zu Organisatorischem und zur Technik)</dt><dd>bekommt man am schnellsten über unseren RocketChat-Kanal:
<ol class="org-ol">
<li>Einmalig mit Ihrem Studierendenaccount bei <a href="https://chat.gwdg.de">https://chat.gwdg.de</a>
     einloggen, dann</li>
<li>auf den Link klicken <a href="https://chat.gwdg.de/channel/info1-2324ws-help">#info1-2324ws-help</a>, um den Kanal zu abonnieren</li>
<li><p>
Frage posten (oder beantworten)
</p>

<p>
Antworten kommen - zumindest während
üblicher Dienstzeiten - im Semester meist sehr schnell.
</p></li>
</ol></dd>

<dt>Speziellere Info1-Angelegenheiten</dt><dd>klärt man am besten direkt mit den Verantwortlichen: 
<ul class="org-ul">
<li>zu Vorlesung, Skript oder Klausur: 

<a
    href="mailto:damm@informatik.uni-goettingen.de?subject=Info1 -
    Frage zu ...">Prof. Damm</a></li>
<li>Übungsgruppeneinteilung bzw. ÜGr.wechsel, Übungsteilnahme trotz
Zulassung, Übungsblätter, &#x2026;:

<a
    href="mailto:brosenne@informatik.uni-goettingen.de?subject=Info1 -
    Frage zu ...">Dr. Brosenne</a></li>
<li>Punkteerfassung aus Übungsblatt-Korrekturen und Testaten:
jeweilige/r Tutor/in</li>
<li><span class="underline">Übungsorganisation</span> (Termine für Testate, ILIAS-Punkte, &#x2026;):

<a
    href="mailto:paul.cahn@informatik.uni-goettingen.de?subject=Info1 -
    Frage zu ...">Paul Sarnighausen-Cahn</a></li>
</ul></dd>
<dt>Häufig gestellte Fragen</dt><dd>siehe separate <a href="./faq.html" target="blank">FAQ-Seite</a>.</dd>
</dl>
</div>
</div>
</div>
<div id="postamble" class="status">
<p class="date">Datum: <span class="timestamp-wrapper"><span class="timestamp">&lt;2023-09-29 Fr&gt;</span></span></p>
<p class="date">Created: 2023-10-26 Do 08:58</p>
<p class="creator">Emacs 24.3.1 (Org mode 8.3.4)</p>
<p class="validation"><a href="https://validator.w3.org/check?uri=referer">Validate</a></p>
</div>
</body>
</html>

